Commit eed71654 authored by Jonas Ådahl's avatar Jonas Ådahl

Don't pretend we don't have CoglShader

We bypass our build configuration to fetch API from a version which
isn't the one we actually use. Stop bypassing and just admit that the
1.0 API is still there, but still deprecated.

https://bugzilla.gnome.org/show_bug.cgi?id=768977
parent 835ded3f
......@@ -115,10 +115,6 @@
#include "clutter-build-config.h"
#endif
/* XXX: This file depends on the cogl_program_ api with has been
* removed for Cogl 2.0 so we undef COGL_ENABLE_EXPERIMENTAL_2_0_API
* for this file for now */
#undef COGL_ENABLE_EXPERIMENTAL_2_0_API
#include "cogl/cogl.h"
#include "clutter-shader-effect.h"
......
......@@ -56,10 +56,6 @@
#include <glib.h>
/* This file depends on the cogl 1.x api which isn't exposed when
* COGL_ENABLE_EXPERIMENTAL_2_0_API is defined...
*/
#undef COGL_ENABLE_EXPERIMENTAL_2_0_API
#include <cogl/cogl.h>
#include "clutter-shader.h"
......
......@@ -82,7 +82,6 @@
#include <cogl/cogl-enum-types.h>
#include <cogl/deprecated/cogl-vertex-buffer.h>
#include <cogl/deprecated/cogl-material-compat.h>
#include <cogl/deprecated/cogl-shader.h>
#endif
/* It would be good to move these casts up into 1.x only api if we can
......@@ -92,6 +91,7 @@
#include <cogl/deprecated/cogl-framebuffer-deprecated.h>
#include <cogl/deprecated/cogl-auto-texture.h>
#include <cogl/deprecated/cogl-shader.h>
#ifdef COGL_ENABLE_MUTTER_API
#include <cogl/cogl-mutter.h>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment